*** old-NetBSD/src/gnu/usr.bin/groff/libbib/linear.cc
--- NetBSD/src/gnu/usr.bin/groff/libbib/linear.cc
***************
*** 58,64 ****
  
  map_init::map_init()
  {
!   for (int i = 0; i < 256; i++)
      map[i] = csalnum(i) ? cmlower(i) : '\0';
    for (i = 0; i < 256; i++) {
      if (cslower(i)) {
--- 58,65 ----
  
  map_init::map_init()
  {
!   int i;
!   for (i = 0; i < 256; i++)
      map[i] = csalnum(i) ? cmlower(i) : '\0';
    for (i = 0; i < 256; i++) {
      if (cslower(i)) {
***************
*** 175,181 ****
      if (*p++ == '\n') {
        if (p == end || *p == '%')
  	break;
!       for (const char *q = p; *q == ' ' || *q == '\t'; q++)
  	;
        if (*q == '\n')
  	break;
--- 176,183 ----
      if (*p++ == '\n') {
        if (p == end || *p == '%')
  	break;
!       const char *q;
!       for (q = p; *q == ' ' || *q == '\t'; q++)
  	;
        if (*q == '\n')
  	break;
***************
*** 190,196 ****
      if (*p++ == '\n') {
        if (p == bufend)
  	break;
!       for (const char *q = p; *q == ' ' || *q == '\t'; q++)
  	;
        if (*q == '\n')
  	break;
--- 192,199 ----
      if (*p++ == '\n') {
        if (p == bufend)
  	break;
!       const char *q;
!       for (q = p; *q == ' ' || *q == '\t'; q++)
  	;
        if (*q == '\n')
  	break;
***************
*** 262,268 ****
  	  *start = p + 1;
  	return 1;
        }
!       for (const char *q = p - 1; *q == ' ' || *q == '\t'; q--)
  	;
        if (*q == '\n') {
  	if (start)
--- 265,272 ----
  	  *start = p + 1;
  	return 1;
        }
!       const char *q;
!       for (q = p - 1; *q == ' ' || *q == '\t'; q--)
  	;
        if (*q == '\n') {
  	if (start)
***************
*** 392,398 ****
      if (!found)
        break;
      const char *refend = find_end(bufend, found + keys[0]->length());
!     for (int i = 1; i < nkeys; i++)
        if (!search_and_check(keys[i], refstart, refend))
  	break;
      if (i >= nkeys) {
--- 396,403 ----
      if (!found)
        break;
      const char *refend = find_end(bufend, found + keys[0]->length());
!     int i;
!     for (i = 1; i < nkeys; i++)
        if (!search_and_check(keys[i], refstart, refend))
  	break;
      if (i >= nkeys) {
*** old-NetBSD/src/gnu/usr.bin/groff/libbib/search.cc
--- NetBSD/src/gnu/usr.bin/groff/libbib/search.cc
***************
*** 62,68 ****
        p = make_linear_search_item(fd, filename, next_fid);
    }
    if (p) {
!     for (search_item **pp = &list; *pp; pp = &(*pp)->next)
        ;
      *pp = p;
      next_fid = p->next_filename_id();
--- 62,69 ----
        p = make_linear_search_item(fd, filename, next_fid);
    }
    if (p) {
!     search_item **pp;
!     for (pp = &list; *pp; pp = &(*pp)->next)
        ;
      *pp = p;
      next_fid = p->next_filename_id();
*** old-NetBSD/src/gnu/usr.bin/groff/libdriver/input.cc
--- NetBSD/src/gnu/usr.bin/groff/libdriver/input.cc
***************
*** 268,274 ****
  	int n;
  	int *p = 0;
  	int szp = 0;
! 	for (int np = 0; possibly_get_integer(&n); np++) {
  	  if (np >= szp) {
  	    if (szp == 0) {
  	      szp = 16;
--- 268,275 ----
  	int n;
  	int *p = 0;
  	int szp = 0;
! 	int np;
! 	for (np = 0; possibly_get_integer(&n); np++) {
  	  if (np >= szp) {
  	    if (szp == 0) {
  	      szp = 16;
***************
*** 290,296 ****
  	    env.hpos += p[0];
  	}
  	else { 
! 	  for (int i = 0; i < np/2; i++) {
  	    env.hpos += p[i*2];
  	    env.vpos += p[i*2 + 1];
  	  }
--- 291,298 ----
  	    env.hpos += p[0];
  	}
  	else { 
! 	  int i;
! 	  for (i = 0; i < np/2; i++) {
  	    env.hpos += p[i*2];
  	    env.vpos += p[i*2 + 1];
  	  }
*** old-NetBSD/src/gnu/usr.bin/groff/libdriver/printer.cc
--- NetBSD/src/gnu/usr.bin/groff/libdriver/printer.cc
***************
*** 64,70 ****
        if (n >= nfonts)
  	nfonts = n + 1;
        font_table = new font *[nfonts];
!       for (int i = 0; i < old_nfonts; i++)
  	font_table[i] = old_font_table[i];
        for (i = old_nfonts; i < nfonts; i++)
  	font_table[i] = 0;
--- 64,71 ----
        if (n >= nfonts)
  	nfonts = n + 1;
        font_table = new font *[nfonts];
!       int i;
!       for (i = 0; i < old_nfonts; i++)
  	font_table[i] = old_font_table[i];
        for (i = old_nfonts; i < nfonts; i++)
  	font_table[i] = 0;
*** old-NetBSD/src/gnu/usr.bin/groff/libgroff/font.cc
--- NetBSD/src/gnu/usr.bin/groff/libgroff/font.cc
***************
*** 246,252 ****
    if (!widths_cache)
      widths_cache = new font_widths_cache(point_size, ch_size);
    else if (widths_cache->point_size != point_size) {
!     for (font_widths_cache **p = &widths_cache; *p; p = &(*p)->next)
        if ((*p)->point_size == point_size)
  	break;
      if (*p) {
--- 246,253 ----
    if (!widths_cache)
      widths_cache = new font_widths_cache(point_size, ch_size);
    else if (widths_cache->point_size != point_size) {
!     font_widths_cache **p;
!     for (p = &widths_cache; *p; p = &(*p)->next)
        if ((*p)->point_size == point_size)
  	break;
      if (*p) {
***************
*** 398,404 ****
  
  void font::compact()
  {
!   for (int i = nindices - 1; i >= 0; i--)
      if (ch_index[i] >= 0)
        break;
    i++;
--- 399,406 ----
  
  void font::compact()
  {
!   int i;
!   for (i = nindices - 1; i >= 0; i--)
      if (ch_index[i] >= 0)
        break;
    i++;
***************
*** 728,734 ****
    while (t.next()) {
      char *p = strtok(t.buf, WS);
      int found = 0;
!     for (int i = 0; !found && i < sizeof(table)/sizeof(table[0]); i++)
        if (strcmp(table[i].command, p) == 0)
  	found = 1;
      if (found) {
--- 730,737 ----
    while (t.next()) {
      char *p = strtok(t.buf, WS);
      int found = 0;
!     int i;
!     for (i = 0; !found && i < sizeof(table)/sizeof(table[0]); i++)
        if (strcmp(table[i].command, p) == 0)
  	found = 1;
      if (found) {
***************
*** 830,836 ****
      else if (strcmp("styles", p) == 0) {
        int style_table_size = 5;
        style_table = (const char **)new char *[style_table_size];
!       for (int j = 0; j < style_table_size; j++)
  	style_table[j] = 0;
        int i = 0;
        for (;;) {
--- 833,840 ----
      else if (strcmp("styles", p) == 0) {
        int style_table_size = 5;
        style_table = (const char **)new char *[style_table_size];
!       int j;
!       for (j = 0; j < style_table_size; j++)
  	style_table[j] = 0;
        int i = 0;
        for (;;) {
*** old-NetBSD/src/gnu/usr.bin/groff/libgroff/lf.cc
--- NetBSD/src/gnu/usr.bin/groff/libgroff/lf.cc
***************
*** 45,51 ****
      change_lineno(ln);
      return 1;
    }
!   for (const char *q = p;
         *q != '\0' && *q != ' ' && *q != '\n' && *q != '\\';
         q++)
      ;
--- 45,52 ----
      change_lineno(ln);
      return 1;
    }
!   const char *q;
!   for (q = p;
         *q != '\0' && *q != ' ' && *q != '\n' && *q != '\\';
         q++)
      ;
*** old-NetBSD/src/gnu/usr.bin/groff/libgroff/nametoindex.cc
--- NetBSD/src/gnu/usr.bin/groff/libgroff/nametoindex.cc
***************
*** 51,57 ****
  character_indexer::character_indexer()
  : next_index(0)
  {
!   for (int i = 0; i < 256; i++)
      ascii_index[i] = -1;
    for (i = 0; i < NSMALL; i++)
      small_number_index[i] = -1;
--- 51,58 ----
  character_indexer::character_indexer()
  : next_index(0)
  {
!   int i;
!   for (i = 0; i < 256; i++)
      ascii_index[i] = -1;
    for (i = 0; i < NSMALL; i++)
      small_number_index[i] = -1;
*** old-NetBSD/src/gnu/usr.bin/groff/libgroff/ptable.cc
--- NetBSD/src/gnu/usr.bin/groff/libgroff/ptable.cc
***************
*** 44,50 ****
  
  unsigned next_ptable_size(unsigned n)
  {
!   for (const unsigned *p = table_sizes; *p <= n; p++)
      if (*p == 0)
        fatal("cannot expand table");
    return *p;
--- 44,51 ----
  
  unsigned next_ptable_size(unsigned n)
  {
!   const unsigned *p;
!   for (p = table_sizes; *p <= n; p++)
      if (*p == 0)
        fatal("cannot expand table");
    return *p;
*** old-NetBSD/src/gnu/usr.bin/groff/libgroff/string.cc
--- NetBSD/src/gnu/usr.bin/groff/libgroff/string.cc
***************
*** 281,287 ****
    char *p = ptr;
    int n = len;
    int nnuls = 0;
!   for (int i = 0; i < n; i++)
      if (p[i] == '\0')
        nnuls++;
    char *q = new char[n + 1 - nnuls];
--- 281,288 ----
    char *p = ptr;
    int n = len;
    int nnuls = 0;
!   int i;
!   for (i = 0; i < n; i++)
      if (p[i] == '\0')
        nnuls++;
    char *q = new char[n + 1 - nnuls];
*** old-NetBSD/src/gnu/usr.bin/groff/lkbib/lkbib.cc
--- NetBSD/src/gnu/usr.bin/groff/lkbib/lkbib.cc
***************
*** 96,102 ****
    if (list.nfiles() == 0)
      fatal("no databases");
    int total_len = 0;
!   for (int i = optind; i < argc; i++)
      total_len += strlen(argv[i]);
    total_len += argc - optind - 1 + 1; // for spaces and '\0'
    char *buffer = new char[total_len];
--- 96,103 ----
    if (list.nfiles() == 0)
      fatal("no databases");
    int total_len = 0;
!   int i;
!   for (i = optind; i < argc; i++)
      total_len += strlen(argv[i]);
    total_len += argc - optind - 1 + 1; // for spaces and '\0'
    char *buffer = new char[total_len];
***************
*** 110,116 ****
    search_list_iterator iter(&list, buffer);
    const char *start;
    int len;
!   for (int count = 0; iter.next(&start, &len); count++) {
      if (fwrite(start, 1, len, stdout) != len)
        fatal("write error on stdout: %1", strerror(errno));
      // Can happen for last reference in file.
--- 111,118 ----
    search_list_iterator iter(&list, buffer);
    const char *start;
    int len;
!   int count;
!   for (count = 0; iter.next(&start, &len); count++) {
      if (fwrite(start, 1, len, stdout) != len)
        fatal("write error on stdout: %1", strerror(errno));
      // Can happen for last reference in file.
*** old-NetBSD/src/gnu/usr.bin/groff/lookbib/lookbib.cc
--- NetBSD/src/gnu/usr.bin/groff/lookbib/lookbib.cc
***************
*** 106,112 ****
      search_list_iterator iter(&list, line);
      const char *start;
      int len;
!     for (int count = 0; iter.next(&start, &len); count++) {
        if (fwrite(start, 1, len, stdout) != len)
  	fatal("write error on stdout: %1", strerror(errno));
        // Can happen for last reference in file.
--- 106,113 ----
      search_list_iterator iter(&list, line);
      const char *start;
      int len;
!     int count;
!     for (count = 0; iter.next(&start, &len); count++) {
        if (fwrite(start, 1, len, stdout) != len)
  	fatal("write error on stdout: %1", strerror(errno));
        // Can happen for last reference in file.
*** old-NetBSD/src/gnu/usr.bin/groff/pic/lex.cc
--- NetBSD/src/gnu/usr.bin/groff/pic/lex.cc
***************
*** 361,367 ****
  {
    char *argv[9];
    int argc = 0;
!   for (int i = 0; i < 9; i++)
      argv[i] = 0;
    int level = 0;
    int c;
--- 361,368 ----
  {
    char *argv[9];
    int argc = 0;
!   int i;
!   for (i = 0; i < 9; i++)
      argv[i] = 0;
    int level = 0;
    int c;
*** old-NetBSD/src/gnu/usr.bin/groff/pic/object.cc
--- NetBSD/src/gnu/usr.bin/groff/pic/object.cc
***************
*** 512,518 ****
  
  void object_list::wrap_up_block(object_list *ol)
  {
!   for (object *p = tail; p && p->type() != MARK_OBJECT; p = p->prev)
      ;
    assert(p != 0);
    ol->head = p->next;
--- 512,519 ----
  
  void object_list::wrap_up_block(object_list *ol)
  {
!   object *p;
!   for (p = tail; p && p->type() != MARK_OBJECT; p = p->prev)
      ;
    assert(p != 0);
    ol->head = p->next;
***************
*** 595,601 ****
  {
    aligned = a;
    int len = 0;
!   for (text_item *p = t; p; p = p->next)
      len++;
    if (len == 0)
      text = 0;
--- 596,603 ----
  {
    aligned = a;
    int len = 0;
!   text_item *p;
!   for (p = t; p; p = p->next)
      len++;
    if (len == 0)
      text = 0;
***************
*** 1341,1347 ****
    // Absolutise all movements
    position endpos = startpos;
    int nsegments = 0;
!   for (segment *s = segment_list; s; s = s->next, nsegments++)
      if (s->is_absolute)
        endpos = s->pos;
      else {
--- 1343,1350 ----
    // Absolutise all movements
    position endpos = startpos;
    int nsegments = 0;
!   segment *s;
!   for (s = segment_list; s; s = s->next, nsegments++)
      if (s->is_absolute)
        endpos = s->pos;
      else {
***************
*** 1767,1773 ****
  
  void path::append(char *s)
  {
!   for (string_list **p = &label_list; *p; p = &(*p)->next)
      ;
    *p = new string_list(s);
  }
--- 1770,1777 ----
  
  void path::append(char *s)
  {
!   string_list **p;
!   for (p = &label_list; *p; p = &(*p)->next)
      ;
    *p = new string_list(s);
  }
*** old-NetBSD/src/gnu/usr.bin/groff/pic/pic.y
--- NetBSD/src/gnu/usr.bin/groff/pic/pic.y
***************
*** 940,946 ****
  	| object_spec text   %prec TEXT
  		{
  		  $$ = $1;
! 		  for (text_item **p = & $$->text; *p; p = &(*p)->next)
  		    ;
  		  *p = new text_item($2.str, $2.filename, $2.lineno);
  		}
--- 940,947 ----
  	| object_spec text   %prec TEXT
  		{
  		  $$ = $1;
! 		  text_item **p;
! 		  for (p = & $$->text; *p; p = &(*p)->next)
  		    ;
  		  *p = new text_item($2.str, $2.filename, $2.lineno);
  		}
***************
*** 948,954 ****
  		{
  		  $$ = $1;
  		  if ($$->text) {
! 		    for (text_item *p = $$->text; p->next; p = p->next)
  		      ;
  		    p->adj.h = LEFT_ADJUST;
  		  }
--- 949,956 ----
  		{
  		  $$ = $1;
  		  if ($$->text) {
! 		    text_item *p;
! 		    for (p = $$->text; p->next; p = p->next)
  		      ;
  		    p->adj.h = LEFT_ADJUST;
  		  }
***************
*** 957,963 ****
  		{
  		  $$ = $1;
  		  if ($$->text) {
! 		    for (text_item *p = $$->text; p->next; p = p->next)
  		      ;
  		    p->adj.h = RIGHT_ADJUST;
  		  }
--- 959,966 ----
  		{
  		  $$ = $1;
  		  if ($$->text) {
! 		    text_item *p;
! 		    for (p = $$->text; p->next; p = p->next)
  		      ;
  		    p->adj.h = RIGHT_ADJUST;
  		  }
***************
*** 966,972 ****
  		{
  		  $$ = $1;
  		  if ($$->text) {
! 		    for (text_item *p = $$->text; p->next; p = p->next)
  		      ;
  		    p->adj.v = ABOVE_ADJUST;
  		  }
--- 969,976 ----
  		{
  		  $$ = $1;
  		  if ($$->text) {
! 		    text_item *p;
! 		    for (p = $$->text; p->next; p = p->next)
  		      ;
  		    p->adj.v = ABOVE_ADJUST;
  		  }
***************
*** 975,980 ****
--- 979,985 ----
  		{
  		  $$ = $1;
  		  if ($$->text) {
+ 		    text_item *p;
  		    for (text_item *p = $$->text; p->next; p = p->next)
  		      ;
  		    p->adj.v = BELOW_ADJUST;
***************
*** 1162,1168 ****
  	ordinal object_type
  		{
  		  int count = 0;
! 		  for (object *p = olist.head; p != 0; p = p->next)
  		    if (p->type() == $2 && ++count == $1) {
  		      $$ = p;
  		      break;
--- 1167,1174 ----
  	ordinal object_type
  		{
  		  int count = 0;
! 		  object *p;
! 		  for (p = olist.head; p != 0; p = p->next)
  		    if (p->type() == $2 && ++count == $1) {
  		      $$ = p;
  		      break;
***************
*** 1176,1182 ****
  	| optional_ordinal_last object_type
  		{
  		  int count = 0;
! 		  for (object *p = olist.tail; p != 0; p = p->prev)
  		    if (p->type() == $2 && ++count == $1) {
  		      $$ = p;
  		      break;
--- 1182,1189 ----
  	| optional_ordinal_last object_type
  		{
  		  int count = 0;
! 		  object *p;
! 		  for (p = olist.tail; p != 0; p = p->prev)
  		    if (p->type() == $2 && ++count == $1) {
  		      $$ = p;
  		      break;
*** old-NetBSD/src/gnu/usr.bin/groff/refer/label.y
--- NetBSD/src/gnu/usr.bin/groff/refer/label.y
***************
*** 872,878 ****
    if (v[0]->get_number() != num + 1
        || v[1]->get_number() != num + 2)
      return 0;
!   for (int i = 2; i < n; i++)
      if (v[i]->get_number() != num + i + 1)
        break;
    result = get_label(type);
--- 872,879 ----
    if (v[0]->get_number() != num + 1
        || v[1]->get_number() != num + 2)
      return 0;
!   int i;
!   for (i = 2; i < n; i++)
      if (v[i]->get_number() != num + i + 1)
        break;
    result = get_label(type);
***************
*** 945,951 ****
        label_table[i] = 0;
    }
    unsigned h = hash_string(label.contents(), label.length()) % label_table_size;
!   for (label_info **ptr = label_table + h;
         *ptr != 0;
         (ptr == label_table)
         ? (ptr = label_table + label_table_size - 1)
--- 946,953 ----
        label_table[i] = 0;
    }
    unsigned h = hash_string(label.contents(), label.length()) % label_table_size;
!   label_info **ptr;
!   for (ptr = label_table + h;
         *ptr != 0;
         (ptr == label_table)
         ? (ptr = label_table + label_table_size - 1)
***************
*** 970,976 ****
        if (old_table[i]) {
  	unsigned h = hash_string(label_pool.contents() + old_table[i]->start,
  				 old_table[i]->length);
! 	for (label_info **p = label_table + (h % label_table_size);
  	     *p != 0;
  	     (p == label_table)
  	     ? (p = label_table + label_table_size - 1)
--- 972,979 ----
        if (old_table[i]) {
  	unsigned h = hash_string(label_pool.contents() + old_table[i]->start,
  				 old_table[i]->length);
! 	label_info **p;
! 	for (p = label_table + (h % label_table_size);
  	     *p != 0;
  	     (p == label_table)
  	     ? (p = label_table + label_table_size - 1)
***************
*** 1165,1171 ****
  {
    if (nauthors < 0) {
      const char *dummy;
!     for (int na = 0; get_author(na, &dummy) != 0; na++)
        ;
      ((reference *)this)->nauthors = na;
    }
--- 1168,1175 ----
  {
    if (nauthors < 0) {
      const char *dummy;
!     int na;
!     for (na = 0; get_author(na, &dummy) != 0; na++)
        ;
      ((reference *)this)->nauthors = na;
    }
*** old-NetBSD/src/gnu/usr.bin/groff/refer/ref.cc
--- NetBSD/src/gnu/usr.bin/groff/refer/ref.cc
***************
*** 54,60 ****
  : no(-1), field(0), nfields(0), h(0), merged(0), label_ptr(0),
    computed_authors(0), last_needed_author(-1), nauthors(-1)
  {
!   for (int i = 0; i < 256; i++)
      field_index[i] = NULL_FIELD_INDEX;
    if (ridp)
      rid = *ridp;
--- 54,61 ----
  : no(-1), field(0), nfields(0), h(0), merged(0), label_ptr(0),
    computed_authors(0), last_needed_author(-1), nauthors(-1)
  {
!   int i;
!   for (i = 0; i < 256; i++)
      field_index[i] = NULL_FIELD_INDEX;
    if (ridp)
      rid = *ridp;
***************
*** 199,205 ****
    string *old_field = field;
    field = new string[nfields + 1];
    int pos = 0;
!   for (int i = 0; i < int(c); i++)
      if (field_index[i] != NULL_FIELD_INDEX)
        pos++;
    for (i = 0; i < pos; i++)
--- 200,207 ----
    string *old_field = field;
    field = new string[nfields + 1];
    int pos = 0;
!   int i;
!   for (i = 0; i < int(c); i++)
      if (field_index[i] != NULL_FIELD_INDEX)
        pos++;
    for (i = 0; i < pos; i++)
***************
*** 222,228 ****
      return;
    string *old_field = field;
    field = new string[nfields - 1];
!   for (int i = 0; i < int(field_index[c]); i++)
      field[i].move(old_field[i]);
    for (i = field_index[c]; i < nfields - 1; i++)
      field[i].move(old_field[i + 1]);
--- 224,231 ----
      return;
    string *old_field = field;
    field = new string[nfields - 1];
!   int i;
!   for (i = 0; i < int(field_index[c]); i++)
      field[i].move(old_field[i]);
    for (i = field_index[c]; i < nfields - 1; i++)
      field[i].move(old_field[i + 1]);
***************
*** 330,336 ****
  	 a < ae;
  	 a = strchr(a, '\0') + 1)
        if (first_word_len == strlen(a)) {
! 	for (int j = 0; j < first_word_len; j++)
  	  if (a[j] != cmlower(s[j]))
  	    break;
  	if (j >= first_word_len) {
--- 333,340 ----
  	 a < ae;
  	 a = strchr(a, '\0') + 1)
        if (first_word_len == strlen(a)) {
! 	int j;
! 	for (j = 0; j < first_word_len; j++)
  	  if (a[j] != cmlower(s[j]))
  	    break;
  	if (j >= first_word_len) {
***************
*** 395,401 ****
  {
    const char *end = s + len;
    for (;;) {
!     for (const char *ptr = s;
  	 ptr < end && *ptr != SORT_SUB_SEP && *ptr != SORT_SUB_SUB_SEP;
  	 ptr++)
        ;
--- 399,406 ----
  {
    const char *end = s + len;
    for (;;) {
!     const char *ptr;
!     for (ptr = s;
  	 ptr < end && *ptr != SORT_SUB_SEP && *ptr != SORT_SUB_SUB_SEP;
  	 ptr++)
        ;
***************
*** 692,698 ****
    const char *ptr = f.contents();
    int len = f.length();
    int nfield_seps = 0;
!   for (int j = 0; j < len; j++)
      if (ptr[j] == FIELD_SEPARATOR)
        nfield_seps++;
    if (nfield_seps == 0)
--- 697,704 ----
    const char *ptr = f.contents();
    int len = f.length();
    int nfield_seps = 0;
!   int j;
!   for (j = 0; j < len; j++)
      if (ptr[j] == FIELD_SEPARATOR)
        nfield_seps++;
    if (nfield_seps == 0)
*** old-NetBSD/src/gnu/usr.bin/groff/refer/refer.cc
--- NetBSD/src/gnu/usr.bin/groff/refer/refer.cc
***************
*** 179,185 ****
  	    num = opt;
  	    opt = 0;
  	  }
! 	  for (const char *ptr = num; *ptr; ptr++)
  	    if (!csdigit(*ptr)) {
  	      error("bad character `%1' in argument to -f option", *ptr);
  	      break;
--- 179,186 ----
  	    num = opt;
  	    opt = 0;
  	  }
! 	  const char *ptr;
! 	  for (ptr = num; *ptr; ptr++)
  	    if (!csdigit(*ptr)) {
  	      error("bad character `%1' in argument to -f option", *ptr);
  	      break;
***************
*** 227,233 ****
  	break;
        case 'a':
  	{
! 	  for (const char *ptr = ++opt; *ptr; ptr++)
  	    if (!csdigit(*ptr)) {
  	      error("argument to `a' option not a number");
  	      break;
--- 228,235 ----
  	break;
        case 'a':
  	{
! 	  const char *ptr;
! 	  for (ptr = ++opt; *ptr; ptr++)
  	    if (!csdigit(*ptr)) {
  	      error("argument to `a' option not a number");
  	      break;
***************
*** 697,703 ****
    reference *ref = make_reference(str, &flags);
    ref->compute_hash_code();
    unsigned h = ref->hash();
!   for (reference **ptr = reference_hash_table + (h % hash_table_size);
         *ptr != 0;
         ((ptr == reference_hash_table)
  	? (ptr = reference_hash_table + hash_table_size - 1)
--- 699,706 ----
    reference *ref = make_reference(str, &flags);
    ref->compute_hash_code();
    unsigned h = ref->hash();
!   reference **ptr;
!   for (ptr = reference_hash_table + (h % hash_table_size);
         *ptr != 0;
         ((ptr == reference_hash_table)
  	? (ptr = reference_hash_table + hash_table_size - 1)
***************
*** 727,733 ****
  	reference_hash_table[i] = 0;
        for (i = 0; i < old_size; i++)
  	if (old_table[i]) {
! 	  for (reference **p = (reference_hash_table
  				+ (old_table[i]->hash() % hash_table_size));
  	       *p;
  	       ((p == reference_hash_table)
--- 730,737 ----
  	reference_hash_table[i] = 0;
        for (i = 0; i < old_size; i++)
  	if (old_table[i]) {
! 	  reference **p;
! 	  for (p = (reference_hash_table
  				+ (old_table[i]->hash() % hash_table_size));
  	       *p;
  	       ((p == reference_hash_table)
***************
*** 785,791 ****
      for (int i = 1; i < n; i++) {
        int num = v[i]->get_number();
        reference *temp = v[i];
!       for (int j = i - 1; j >= 0 && v[j]->get_number() > num; j--)
  	v[j + 1] = v[j];
        v[j + 1] = temp;
      }
--- 789,796 ----
      for (int i = 1; i < n; i++) {
        int num = v[i]->get_number();
        reference *temp = v[i];
!       int j;
!       for (j = i - 1; j >= 0 && v[j]->get_number() > num; j--)
  	v[j + 1] = v[j];
        v[j + 1] = temp;
      }
***************
*** 1213,1219 ****
      16000057, 32000011, 64000031, 128000003, 0 
    };
  
!   for (const int *p = table_sizes; *p <= n && *p != 0; p++)
      ;
    assert(*p != 0);
    return *p;
--- 1218,1225 ----
      16000057, 32000011, 64000031, 128000003, 0 
    };
  
!   const int *p;
!   for (p = table_sizes; *p <= n && *p != 0; p++)
      ;
    assert(*p != 0);
    return *p;
*** old-NetBSD/src/gnu/usr.bin/groff/refer/token.cc
--- NetBSD/src/gnu/usr.bin/groff/refer/token.cc
***************
*** 190,196 ****
  
  static void init_ascii()
  {
!   for (const char *p = "abcdefghijklmnopqrstuvwxyz"; *p; p++) {
      char buf[2];
      buf[0] = *p;
      buf[1] = '\0';
--- 190,197 ----
  
  static void init_ascii()
  {
!   const char *p;
!   for (p = "abcdefghijklmnopqrstuvwxyz"; *p; p++) {
      char buf[2];
      buf[0] = *p;
      buf[1] = '\0';
***************
*** 296,302 ****
  
  static void init_special_chars()
  {
!   for (const char *p = "':^`~"; *p; p++)
      for (const char *q = "aeiouy"; *q; q++) {
        // Use a variable to work around bug in gcc 2.0
        char c = cmupper(*q);
--- 297,304 ----
  
  static void init_special_chars()
  {
!   const char *p;
!   for (p = "':^`~"; *p; p++)
      for (const char *q = "aeiouy"; *q; q++) {
        // Use a variable to work around bug in gcc 2.0
        char c = cmupper(*q);
*** old-NetBSD/src/gnu/usr.bin/groff/tbl/main.cc
--- NetBSD/src/gnu/usr.bin/groff/tbl/main.cc
***************
*** 690,696 ****
  
  void input_entry_format::debug_print()
  {
!   for (int i = 0; i < pre_vline; i++)
      putc('|', stderr);
    entry_format::debug_print();
    if (!width.empty()) {
--- 690,697 ----
  
  void input_entry_format::debug_print()
  {
!   int i;
!   for (i = 0; i < pre_vline; i++)
      putc('|', stderr);
    entry_format::debug_print();
    if (!width.empty()) {
***************
*** 1393,1399 ****
    }
    // Do this here rather than at the beginning in case continued formats
    // change it.
!   for (int i = 0; i < ncolumns - 1; i++)
      if (f->separation[i] >= 0)
        tbl->set_column_separation(i, f->separation[i]);
    for (i = 0; i < ncolumns; i++)
--- 1394,1401 ----
    }
    // Do this here rather than at the beginning in case continued formats
    // change it.
!   int i;
!   for (i = 0; i < ncolumns - 1; i++)
      if (f->separation[i] >= 0)
        tbl->set_column_separation(i, f->separation[i]);
    for (i = 0; i < ncolumns; i++)
